clang-tools 8.0.0

Public Member Functions | Static Public Attributes | List of all members
clang::doc::MDGenerator Class Reference

Generator for Markdown documentation. More...

Inheritance diagram for clang::doc::MDGenerator:
[legend]
Collaboration diagram for clang::doc::MDGenerator:
[legend]

## Public Member Functions
llvm::Error | generateDocForInfo (Info *I, llvm::raw_ostream &OS) override
Public Member Functions inherited from clang::doc::Generator
virtual | ~Generator ()=default

## Static Public Attributes
static const char * | Format = "md"

## Detailed Description

Generator for Markdown documentation.

Definition at line 281 of file MDGenerator.cpp.

## Member Function Documentation

## ◆ generateDocForInfo()

llvm::Error clang::doc::MDGenerator::generateDocForInfo | ( | Info * | I,
|  | llvm::raw_ostream & | OS
| ) |  |
| override virtual

Implements clang::doc::Generator.

Definition at line 290 of file MDGenerator.cpp.

References clang::doc::genMarkdown(), clang::doc::Info::IT, and clang::doc::MD().

## Member Data Documentation

## ◆ Format

const char * clang::doc::MDGenerator::Format = "md"
| static

Definition at line 283 of file MDGenerator.cpp.

The documentation for this class was generated from the following file:

- MDGenerator.cpp